ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package feature
  Definition Classes
    ds
-  package fragment
  Definition Classes
    ds
-  package read
  Definition Classes
    ds
-  package sequence
  Definition Classes
    ds
-  package variant
  Definition Classes
    ds
- ADAMContext
- ADAMSaveAnyArgs
- AvroGenomicDataset
- AvroReadGroupGenomicDataset
- DatasetBoundGenericGenomicDataset
- DatasetBoundGenomicDataset
- FullOuterShuffleRegionJoin
- GenericConverter
- GenericGenomicDataset
- GenomeBins
- GenomicBroadcast
- GenomicDataset
- GenomicDatasetConversion
- GenomicDatasetWithLineage
- GenomicPositionPartitioner
- GenomicRegionPartitioner
- InFormatter
- InFormatterCompanion
- InnerShuffleRegionJoin
- InnerShuffleRegionJoinAndGroupByLeft
- InnerTreeRegionJoin
- InnerTreeRegionJoinAndGroupByRight
- LeftOuterShuffleRegionJoin
- LeftOuterShuffleRegionJoinAndGroupByLeft
- MultisampleAvroGenomicDataset
- MultisampleGenomicDataset
- OutFormatter
- RDDBoundGenericGenomicDataset
- ReferencePartitioner
- RegionJoin
- RightOuterShuffleRegionJoinAndGroupByLeft
- RightOuterTreeRegionJoin
- RightOuterTreeRegionJoinAndGroupByRight
- ShuffleRegionJoin
- SortedIntervalPartitionJoinWithVictims
- TreeRegionJoin
- VictimlessSortedIntervalPartitionJoin

c

org.bdgenomics.adam.ds

# GenericConverter 

###

#### case class GenericConverter[T, U] extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GenericConverter
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
8.  final def isInstanceOf[T0]: Boolean
   Definition Classes
     Any
9.  final def ne(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
11.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
12.  val productFn: (T) ⇒ U
13.  val regionFn: (T) ⇒ Seq[ReferenceRegion]
14.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
15.  val unproductFn: (U) ⇒ T
16.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
17.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped